This job view page is being replaced by Spyglass soon. Check out the new job view.
PRandyzhangx: fix: second pod mount error for static provisioning(containerName specified)
ResultABORTED
Tests 0 failed / 12 succeeded
Started2021-05-06 14:20
Elapsed13m3s
Revisiond87526397a58d7c566984ba64b2e660d754d4663
Refs 417
job-versionv1.22.0-alpha.1.180+bd6f5c2e645a64
kubetest-version
revisionv1.22.0-alpha.1.180+bd6f5c2e645a64

No Test Failures!


Show 12 Passed Tests

Error lines from build-log.txt

... skipping 218 lines ...
Downloading https://get.helm.sh/helm-v3.5.4-linux-amd64.tar.gz
Verifying checksum... Done.
Preparing to install helm into /usr/local/bin
helm installed into /usr/local/bin/helm
# Only build and push the image if it does not exist in the registry
docker pull k8sprow.azurecr.io/blob-csi:e2e-3746d341bbb55d72cc94974e6e498642040a4290 || make blob-container push
Error response from daemon: manifest for k8sprow.azurecr.io/blob-csi:e2e-3746d341bbb55d72cc94974e6e498642040a4290 not found: manifest unknown: manifest tagged by "e2e-3746d341bbb55d72cc94974e6e498642040a4290" is not found
make[2]: Entering directory '/home/prow/go/src/sigs.k8s.io/blob-csi-driver'
docker buildx rm container-builder || true
error: no builder "container-builder" found
docker buildx create --use --name=container-builder
container-builder
# enable qemu for arm64 build
# docker run --rm --privileged multiarch/qemu-user-static --reset -p yes
for arch in amd64 ; do \
	ARCH=${arch} make blob; \
... skipping 70 lines ...
#8 5.138 Reading state information...
#8 5.288 The following additional packages will be installed:
#8 5.288   cmake-data libarchive13 libblkid1 libc-dev-bin libc6-dev libcom-err2
#8 5.288   libcurl3-gnutls libcurl4 libdpkg-perl libevent-2.1-6 libexpat1 libfuse2
#8 5.288   libgdbm-compat4 libgdbm6 libglib2.0-0 libgmp-dev libgmpxx4ldbl
#8 5.288   libgnutls-dane0 libgnutls-openssl27 libgnutls30 libgnutlsxx28
#8 5.288   libgpg-error-dev libgssapi-krb5-2 libicu63 libidn2-dev libjsoncpp1
#8 5.288   libk5crypto3 libkeyutils1 libkrb5-3 libkrb5support0 libldap-2.4-2
#8 5.288   libldap-common libmount1 libncurses6 libncursesw6 libnghttp2-14
#8 5.288   libp11-kit-dev libp11-kit0 libpcre16-3 libpcre2-8-0 libpcre3-dev libpcre32-3
#8 5.288   libpcrecpp0v5 libperl5.28 libprocps7 libpsl5 librhash0 librtmp1 libsasl2-2
#8 5.288   libsasl2-modules-db libselinux1-dev libsepol1-dev libssh2-1 libssl1.1
#8 5.289   libtasn1-6-dev libtinfo6 libunbound8 libuuid1 libuv1 libxml2 linux-libc-dev
... skipping 14 lines ...
#8 5.905 The following NEW packages will be installed:
#8 5.905   ca-certificates cmake cmake-data libarchive13 libblkid1 libc-dev-bin
#8 5.905   libc6-dev libcom-err2 libcurl3-gnutls libcurl4 libcurl4-gnutls-dev
#8 5.905   libdpkg-perl libevent-2.1-6 libexpat1 libfuse-dev libfuse2 libgcrypt20-dev
#8 5.906   libgdbm-compat4 libgdbm6 libglib2.0-0 libgmp-dev libgmpxx4ldbl
#8 5.906   libgnutls-dane0 libgnutls-openssl27 libgnutls28-dev libgnutlsxx28
#8 5.906   libgpg-error-dev libgssapi-krb5-2 libicu63 libidn2-dev libjsoncpp1
#8 5.906   libk5crypto3 libkeyutils1 libkrb5-3 libkrb5support0 libldap-2.4-2
#8 5.906   libldap-common libmount1 libncurses6 libncursesw6 libnghttp2-14
#8 5.906   libp11-kit-dev libpcre16-3 libpcre2-8-0 libpcre3-dev libpcre32-3
#8 5.906   libpcrecpp0v5 libperl5.28 libprocps7 libpsl5 librhash0 librtmp1 libsasl2-2
#8 5.906   libsasl2-modules-db libselinux1-dev libsepol1-dev libssh2-1 libssl1.1
#8 5.906   libtasn1-6-dev libtinfo6 libunbound8 libuuid1 libuv1 libxml2 linux-libc-dev
... skipping 60 lines ...
#8 6.663 Get:54 http://deb.debian.org/debian buster/main amd64 libpcre16-3 amd64 2:8.39-12 [259 kB]
#8 6.666 Get:55 http://deb.debian.org/debian buster/main amd64 libpcre32-3 amd64 2:8.39-12 [250 kB]
#8 6.669 Get:56 http://deb.debian.org/debian buster/main amd64 libpcrecpp0v5 amd64 2:8.39-12 [152 kB]
#8 6.671 Get:57 http://deb.debian.org/debian buster/main amd64 libpcre3-dev amd64 2:8.39-12 [650 kB]
#8 6.680 Get:58 http://deb.debian.org/debian buster/main amd64 libselinux1-dev amd64 2.8-1+b1 [169 kB]
#8 6.685 Get:59 http://deb.debian.org/debian buster/main amd64 libfuse-dev amd64 2.9.9-1+deb10u1 [152 kB]
#8 6.688 Get:60 http://deb.debian.org/debian buster/main amd64 libgpg-error-dev amd64 1.35-1 [124 kB]
#8 6.690 Get:61 http://deb.debian.org/debian buster/main amd64 libgcrypt20-dev amd64 1.8.4-5 [608 kB]
#8 6.702 Get:62 http://deb.debian.org/debian buster/main amd64 libmount1 amd64 2.33.1-0.1 [207 kB]
#8 6.707 Get:63 http://deb.debian.org/debian buster/main amd64 libglib2.0-0 amd64 2.58.3-2+deb10u2 [1258 kB]
#8 6.724 Get:64 http://deb.debian.org/debian buster/main amd64 libgmpxx4ldbl amd64 2:6.1.2+dfsg-4 [22.9 kB]
#8 6.725 Get:65 http://deb.debian.org/debian buster/main amd64 libgmp-dev amd64 2:6.1.2+dfsg-4 [628 kB]
#8 6.732 Get:66 http://deb.debian.org/debian buster/main amd64 libunbound8 amd64 1.9.0-2+deb10u2 [462 kB]
... skipping 50 lines ...